For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet JWKS
        • GETCheck onboarding status
        • POSTOnboarding
        • POSTEVM Get JWT
        • POSTEVM Onboarding
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAuthentication

EVM Onboarding

POST
https://api.prod.paradex.trade/v1/v2/onboarding
POST
/v1/v2/onboarding
$curl -X POST https://api.prod.paradex.trade/v1/v2/onboarding \
> -H "PARADEX-STARKNET-ACCOUNT: PARADEX-STARKNET-ACCOUNT" \
> -H "PARADEX-EVM-SIGNATURE: PARADEX-EVM-SIGNATURE" \
> -H "PARADEX-SIWE-MESSAGE: PARADEX-SIWE-MESSAGE" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Onboard a new EVM account using SIWE signature
Was this page helpful?
Previous

List liquidations

Next
Built with

Headers

PARADEX-STARKNET-ACCOUNTstringRequired
Starknet account
PARADEX-EVM-SIGNATUREstringRequired

EVM personal_sign signature

PARADEX-SIWE-MESSAGEstringRequired

Base64-encoded SIWE message

Request

Onboarding user public_key and optional referral_code or marketing_code

marketing_codestringOptional
Marketing code of the campaign the user is being onboarded via.
portfolio_marginbooleanOptional
When true, the new account is onboarded directly into Portfolio Margin mode. Only valid for main accounts and subaccounts.
public_keystringOptional
Public key of the user being onboarded.
referral_codestringOptional
Referral code of the user who referred the user being onboarded.
utmobjectOptional

UTM tracking parameters (optional).

Response

An empty response

Errors

400
Bad Request Error
401
Unauthorized Error